Package be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1

# Class IncapacityType

java.lang.Object
be.fgov.ehealth.standards.kmehr.mycarenet.schema.v1.IncapacityType

All Implemented Interfaces:
  `Serializable`

@Generated(value="com.sun.tools.xjc.Driver", date="2025-09-16T05:11:58+02:00", comments="JAXB RI v4.0.5") public class IncapacityType extends Object implements Serializable

Java class for incapacityType complex type

.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="incapacityType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="cd" type="{http://www.ehealth.fgov.be/standards/kmehr/cd/v1}CD-INCAPACITY" maxOccurs="unbounded"/>
             <element name="incapacityreason" type="{http://www.ehealth.fgov.be/standards/kmehr/schema/v1}incapacityreasonType" minOccurs="0"/>
             <element name="percentage" type="{http://www.w3.org/2001/XMLSchema}decimal" minOccurs="0"/>
             <element name="outofhomeallowed" type="{http://www.w3.org/2001/XMLSchema}boolean" minOccurs="0"/>
             <element name="initialincapacitydate" type="{http://www.w3.org/2001/XMLSchema}date" minOccurs="0"/>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `IncapacityType()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `List<CDINCAPACITY>`
  `getCds()`
  Gets the value of the cds property.
  `IncapacityreasonType`
  `getIncapacityreason()`
  Gets the value of the incapacityreason property.
  `Instant`
  `getInitialincapacitydate()`
  Gets the value of the initialincapacitydate property.
  `BigDecimal`
  `getPercentage()`
  Gets the value of the percentage property.
  `Boolean`
  `isOutofhomeallowed()`
  Gets the value of the outofhomeallowed property.
  `void`
  `setIncapacityreason(IncapacityreasonType value)`
  Sets the value of the incapacityreason property.
  `void`
  `setInitialincapacitydate(Instant value)`
  Sets the value of the initialincapacitydate property.
  `void`
  `setOutofhomeallowed(Boolean value)`
  Sets the value of the outofhomeallowed property.
  `void`
  `setPercentage(BigDecimal value)`
  Sets the value of the percentage property.

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### IncapacityType

    public IncapacityType()

- ## Method Details

  - ### getCds

    public List<CDINCAPACITY> getCds()
    Gets the value of the cds property.

    This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the cds property.

    For example, to add a new item, do as follows:

         getCds().add(newItem);

    Objects of the following type(s) are allowed in the list `CDINCAPACITY`

    Returns:
      The value of the cds property.

  - ### getIncapacityreason

    public IncapacityreasonType getIncapacityreason()
    Gets the value of the incapacityreason property.
    Returns:
      possible object is `IncapacityreasonType`

  - ### setIncapacityreason

    public void setIncapacityreason(IncapacityreasonType value)
    Sets the value of the incapacityreason property.
    Parameters:
      `value` - allowed object is `IncapacityreasonType`

  - ### getPercentage

    public BigDecimal getPercentage()
    Gets the value of the percentage property.
    Returns:
      possible object is `BigDecimal`

  - ### setPercentage

    public void setPercentage(BigDecimal value)
    Sets the value of the percentage property.
    Parameters:
      `value` - allowed object is `BigDecimal`

  - ### isOutofhomeallowed

    public Boolean isOutofhomeallowed()
    Gets the value of the outofhomeallowed property.
    Returns:
      possible object is `Boolean`

  - ### setOutofhomeallowed

    public void setOutofhomeallowed(Boolean value)
    Sets the value of the outofhomeallowed property.
    Parameters:
      `value` - allowed object is `Boolean`

  - ### getInitialincapacitydate

    public Instant getInitialincapacitydate()
    Gets the value of the initialincapacitydate property.
    Returns:
      possible object is `String`

  - ### setInitialincapacitydate

    public void setInitialincapacitydate(Instant value)
    Sets the value of the initialincapacitydate property.
    Parameters:
      `value` - allowed object is `String`